This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004780 - Data truncation: Data too long for column 'result' at row 1
Data truncation: Data too long for column 'result' at row 1
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jesus M. Rodriguez
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 09:15 EDT by Jesus M. Rodriguez
Modified: 2015-05-14 10:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-07 11:48:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2013-09-05 09:15:41 EDT
[2013-09-04T14:39:06-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:] ERROR org.hibernate.jdbc.AbstractBatcher - Exception executing batch: 
[2013-09-04T14:39:06.562969-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:java.lang.RuntimeException] java.sql.BatchUpdateException: Data truncation: Data too long for column 'result' at row 1
[2013-09-04T14:39:06.562978-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeBatch(NewProxyPreparedStatement.java:2443)
[2013-09-04T14:39:06.562978-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.jdbc.BatchingBatcher.doExecuteBatch(BatchingBatcher.java:70)
[2013-09-04T14:39:06.563065-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:268)
[2013-09-04T14:39:06.563065-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:265)
[2013-09-04T14:39:06.563072-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:167)
[2013-09-04T14:39:06.563072-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:321)
[2013-09-04T14:39:06.563076-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:50)
[2013-09-04T14:39:06.563076-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1030)
[2013-09-04T14:39:06.563081-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.impl.SessionImpl.managedFlush(SessionImpl.java:367)
[2013-09-04T14:39:06.563081-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:137)
[2013-09-04T14:39:06.563285-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.hibernate.ejb.TransactionImpl.commit(TransactionImpl.java:54)
[2013-09-04T14:39:06.563285-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.google.inject.persist.jpa.JpaLocalTxnInterceptor.invoke(JpaLocalTxnInterceptor.java:87)
[2013-09-04T14:39:06.563296-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.google.inject.internal.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:72)
[2013-09-04T14:39:06.563296-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.google.inject.internal.InterceptorStackCallback.intercept(InterceptorStackCallback.java:52)
[2013-09-04T14:39:06.563298-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.candlepin.model.JobCurator$$EnhancerByGuice$$6e7ab748.merge(<generated>)
[2013-09-04T14:39:06.563298-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.candlepin.pinsetter.core.PinsetterJobListener.updateJob(PinsetterJobListener.java:117)
[2013-09-04T14:39:06.563301-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.candlepin.pinsetter.core.PinsetterJobListener.updateJob(PinsetterJobListener.java:102)
[2013-09-04T14:39:06.563301-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.candlepin.pinsetter.core.PinsetterJobListener.jobToBeExecuted(PinsetterJobListener.java:68)
[2013-09-04T14:39:06.563303-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.quartz.core.QuartzScheduler.notifyJobListenersToBeExecuted(Unknown Source)
[2013-09-04T14:39:06.563303-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.quartz.core.JobRunShell.notifyListenersBeginning(Unknown Source)
[2013-09-04T14:39:06.563306-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.quartz.core.JobRunShell.run(Unknown Source)
[2013-09-04T14:39:06.563306-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(Unknown Source)
[2013-09-04T14:39:06.563310-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    aused by: java.sql.BatchUpdateException: Data truncation: Data too long for column 'result' at row 1
[2013-09-04T14:39:06.563310-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.PreparedStatement.executeBatchSerially(PreparedStatement.java:2054)
[2013-09-04T14:39:06.563315-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.PreparedStatement.executeBatch(PreparedStatement.java:1467)
[2013-09-04T14:39:06.563315-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeBatch(NewProxyPreparedStatement.java:2429)
[2013-09-04T14:39:06.563319-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    ... 21 more
[2013-09-04T14:39:06.563319-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    aused by: com.mysql.jdbc.MysqlDataTruncation: Data truncation: Data too long for column 'result' at row 1
[2013-09-04T14:39:06.563323-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:4072)
[2013-09-04T14:39:06.563323-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:4006)
[2013-09-04T14:39:06.563327-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.MysqlIO.sendCommand(MysqlIO.java:2468)
[2013-09-04T14:39:06.563327-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.MysqlIO.sqlQueryDirect(MysqlIO.java:2629)
[2013-09-04T14:39:06.563331-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.ConnectionImpl.execSQL(ConnectionImpl.java:2719)
[2013-09-04T14:39:06.563331-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.PreparedStatement.executeInternal(PreparedStatement.java:2155)
[2013-09-04T14:39:06.563335-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.PreparedStatement.executeUpdate(PreparedStatement.java:2450)
[2013-09-04T14:39:06.563335-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    at com.mysql.jdbc.PreparedStatement.executeBatchSerially(PreparedStatement.java:2006)
[2013-09-04T14:39:06.563340-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:]    ... 23 more
[2013-09-04T14:39:06-04:00] [host:s04.candlepin.stage.ext.phx2.redhat.com] [app:] ERROR org.candlepin.pinsetter.core.PinsetterJobListener - jobToBeExecuted encountered a problem. Usually means there was a problem storing the job status. Job will run.
Comment 1 Jesus M. Rodriguez 2013-09-05 09:17:02 EDT
result field in JobStatus must never be set directly, it should always go through the setResult method so that it can be properly trimmed to the appropriate size before storing to the database.
Comment 2 Jesus M. Rodriguez 2013-09-05 11:40:55 EDT
PR filed: https://github.com/candlepin/candlepin/pull/370
Comment 3 Bryan Kearney 2014-11-07 11:48:58 EST
This was delivered on 0.8.26. I am closing this out> if you still have isues, please feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.